curl --request GET \
--url https://edge.api.kelviq.com/entitlements/ \
--header 'Authorization: Bearer <token>'{
"customerId": "cust_456",
"entitlements": [
{
"featureId": "advanced-analytics",
"featureType": "METER",
"hasAccess": true,
"resetAt": "2025-05-22 08:27:45",
"hardLimit": false,
"usageLimit": 3,
"currentUsage": 0,
"remaining": 3
}
]
}Retrieves detailed entitlement information for a customer.
feature_idd is provided as a query parameter, returns details for that specific feature.feature_id is omitted, returns all entitlements for the customer.curl --request GET \
--url https://edge.api.kelviq.com/entitlements/ \
--header 'Authorization: Bearer <token>'{
"customerId": "cust_456",
"entitlements": [
{
"featureId": "advanced-analytics",
"featureType": "METER",
"hasAccess": true,
"resetAt": "2025-05-22 08:27:45",
"hardLimit": false,
"usageLimit": 3,
"currentUsage": 0,
"remaining": 3
}
]
}The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'
The unique identifier for the customer.
Optional. The unique identifier for a specific feature. If provided, filters entitlements to this feature.